MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030924Open CASCADE[OCCT] OCCT:Codingpublic2019-08-28 10:022019-09-02 18:01
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030924: Coding - incorrect header in file OSD_ThreadPool.hxx
DescriptionOSD_ThreadPool.hxx has incorrect file header as reported by Jenkins check-code job.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0029935verifiedbugmaster Open CASCADE Foundation Classes - introduce OSD_ThreadPool class defining a thread pool 
child of 0029734verifiedkgv Open CASCADE Modeling Algorithms - Compute global properties of tessellated shape 
child of 0026106verifiedbugmaster Open CASCADE BRepMesh - revision of data model 

-  Notes
(0086478)
git (administrator)
2019-08-28 10:15

Branch CR30924 has been created by kgv.

SHA-1: 7f5f9627f7bcf70effd0f6cb74a2883c2c2966c0


Detailed log of new commits:

Author: kgv
Date: Wed Aug 28 10:09:56 2019 +0300

    0030924: Coding - incorrect header in file OSD_ThreadPool.hxx
    
    Fixed license statements within files BRepGProp_MeshProps.cxx, BRepGProp_MeshProps.hxx,
    OSD_ThreadPool.cxx and OSD_ThreadPool.hxx.
    
    Removed non-ASCII char from BRepMesh_ModelHealer.hxx.
(0086480)
kgv (developer)
2019-08-28 12:06

Please raise the patch.
(0086491)
apn (administrator)
2019-08-28 18:18

Combination -
OCCT branch : CR30924
master SHA - 7f5f9627f7bcf70effd0f6cb74a2883c2c2966c0
5f5b1aed1c6e139bbd34314eca77ae7abcd8895c
Products branch : master SHA - 32e882a7b3145a66baa739f965d275c822c0bd8a
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16117.69000000002 / 16107.320000000014 [+0.06%]
Products
Total CPU difference: 10494.15000000006 / 10489.71000000005 [+0.04%]
Windows-64-VC14:
OCCT
Total CPU difference: 18125.921875 / 18158.171875 [-0.18%]
Products
Total CPU difference: 12050.25 / 12068.71875 [-0.15%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0086649)
git (administrator)
2019-09-02 18:01

Branch CR30924 has been deleted by apn.

SHA-1: 7f5f9627f7bcf70effd0f6cb74a2883c2c2966c0

- Related Changesets
occt: master 87018b45
Timestamp: 2019-08-28 07:09:56
Author: kgv
Committer: apn
Details ] Diff ]
0030924: Coding - incorrect header in file OSD_ThreadPool.hxx

Fixed license statements within files BRepGProp_MeshProps.cxx, BRepGProp_MeshProps.hxx,
OSD_ThreadPool.cxx and OSD_ThreadPool.hxx.

Removed non-ASCII char from BRepMesh_ModelHealer.hxx.
mod - src/BRepGProp/BRepGProp_MeshProps.cxx Diff ] File ]
mod - src/BRepGProp/BRepGProp_MeshProps.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_ModelHealer.hxx Diff ] File ]
mod - src/OSD/OSD_ThreadPool.cxx Diff ] File ]
mod - src/OSD/OSD_ThreadPool.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-08-28 10:02 kgv New Issue
2019-08-28 10:02 kgv Assigned To => kgv
2019-08-28 10:05 kgv Relationship added related to 0030925
2019-08-28 10:06 kgv Relationship added child of 0029935
2019-08-28 10:15 git Note Added: 0086478
2019-08-28 10:16 kgv Relationship added child of 0029734
2019-08-28 10:18 kgv Relationship added child of 0026106
2019-08-28 12:06 kgv Note Added: 0086480
2019-08-28 12:06 kgv Assigned To kgv => bugmaster
2019-08-28 12:06 kgv Status new => resolved
2019-08-28 12:06 kgv Status resolved => reviewed
2019-08-28 18:18 apn Test case number => Not needed
2019-08-28 18:18 apn Note Added: 0086491
2019-08-28 18:18 apn Status reviewed => tested
2019-08-31 17:53 apn Changeset attached => occt master 87018b45
2019-08-31 17:53 apn Assigned To bugmaster => apn
2019-08-31 17:53 apn Status tested => verified
2019-08-31 17:53 apn Resolution open => fixed
2019-09-02 18:01 git Note Added: 0086649


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker